Retrieve a list of card transactions for a specific card. Transactions are ordered by transaction ID in descending order.
Use in conjunction with the card transaction state change webhook for versions V2.1.0 and later.
Only transactions created in the past 90 days can be accessed. A 422 error code will be returned otherwise.
The debits and credits fields are not included in list responses. Use the Get card transaction endpoint to retrieve these fields.
Security
UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/v4/spend/profiles/{profileId}/cards/{cardToken}/transactions
- Sandbox Environmenthttps://api.wise-sandbox.com/v4/spend/profiles/{profileId}/cards/{cardToken}/transactions
curl -i -X GET \
'https://api.wise.com/v4/spend/profiles/123456/cards/59123122-223d-45f9-b840-0ad4a4f80937/transactions?fromCreationTime=2025-12-15T00%3A00%3A00Z&toCreationTime=2026-01-15T00%3A00%3A10Z&pageSize=10&lastId=342672' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'Card transactions retrieved successfully.
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
{ "transactions": [ { "id": 342671, "cardToken": "59123122-223d-45f9-b840-0ad4a4f80937", "type": "ECOM_PURCHASE", "state": "IN_PROGRESS", "declineReason": null, "creationTime": "2022-11-28T08:17:54.241Z", "modificationTime": "2022-11-28T08:17:54.241Z", "purgeTime": "2022-11-28T08:17:54.241Z", "transactionAmount": { … }, "fees": [ … ], "transactionAmountWithFees": { … }, "merchant": { … }, "authorisationMethod": "MANUAL_ENTRY", "approvalCode": "913647", "billingAmount": { … }, "arn": "04300014127798385983852", "pinValidationResult": "ONLINE_PIN_VALIDATED", "balanceChannelReferenceId": "6e71018d-2f4d-4fc3-6711-f517f4664712" } ] }